Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 93319 - alsa-driver complains: * PLEASE UPDATE TO YOUR PACKAGE TO USE linux-info.eclass
Summary: alsa-driver complains: * PLEASE UPDATE TO YOUR PACKAGE TO USE linux-info.eclass
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Other
: High normal
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-20 04:16 UTC by Georgi Georgiev
Modified: 2005-09-01 17:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgi Georgiev 2005-05-20 04:16:51 UTC
* PLEASE UPDATE TO YOUR PACKAGE TO USE linux-info.eclass
appears about 2x10 times every time I do "emerge alsa-driver". This happens when alsa-driver is calling "set_arch_to_kernel" and "set_arch_to_portage". The following patch fixes the problem.

--- /usr/portage/media-sound/alsa-driver/alsa-driver-1.0.9_rc3.ebuild   2005-05-06 02:38:47.000000000 +0900
+++ ./alsa-driver-1.0.9_rc3.ebuild      2005-05-20 20:10:45.000000000 +0900
@@ -3,7 +3,7 @@
 # $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-driver/alsa-driver-1.0.9_rc3.ebuild,v 1.1 2005/05/05 17:38:47 eradicator Exp $
 
 IUSE="oss doc"
-inherit linux-mod flag-o-matic eutils
+inherit linux-mod flag-o-matic
 
 MY_P=${P/_rc/rc}
 S=${WORKDIR}/${MY_P}
@@ -79,9 +79,7 @@
        # linux-mod_src_compile doesn't work well with alsa
 
        # -j1 : see bug #71028
-       set_arch_to_kernel
-       emake -j1 || die "Make Failed"
-       set_arch_to_portage
+       emake -j1 ARCH="$(tc-arch-kernel)" || die "Make Failed"
 
        if use doc;
        then


It appears that the removed two functions were the only thing that the ebuild was using from eutils.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-09-01 16:39:11 UTC
This is fixed in 1.0.10_rc alsa-driver, still masked for now, but it's 
harmless so considering this fixed as for 1.0.10. 
 
Comment 2 Georgi Georgiev 2005-09-01 17:29:09 UTC
I don't like your approach:

        ARCH=$(tc-arch-kernel)
        emake -j1 || die "Make Failed"
        ARCH=$(tc-arch)

because it would not have worked had ARCH not been export-ed by the shell. But I
guess it doesn't really matter and just throwing it here to make sure we're
clear about that. Specifying ARCH on the make command-line as "emake
ARCH=$(tc-arch-kernel) -j1" also removes the need to set ARCH to tc-arch later.
I agree it's fixed, though.

About eutils: do you still need to inherit this eclass?